Name:           libad9361
Version:        0.3
Release:        1%{?dist}
Summary:        Library of functions specific to the Analog Devices AD9361

License:        LGPL-2.1-or-later
URL:            https://github.com/analogdevicesinc/libad9361-iio
Source0:        https://github.com/analogdevicesinc/libad9361-iio/archive/refs/tags/v%{version}.tar.gz
Patch0:         libad9361-paths.patch

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  libiio-devel
BuildRequires:  git
BuildRequires:  doxygen

%description
This library contains a few functions useful to configure and use the
Analog Devices AD9361 Agile Transceiver.

The device combines an RF front end with a flexible mixed-signal
baseband section and integrated frequency synthesizers. The AD9361
operates in the 70 MHz to 6.0 GHz range, covering most licensed and
unlicensed bands. Channel bandwidths from less than 200 kHz to 56 MHz
are supported. This library provides hardware support for Software
Defined Radio aplications.

Using libiio allows use with both locally attached devices and
hardware available over a network link.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        doc
Summary:        Development documentation for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    doc
Documentation for development with %{name}.


%prep
%autosetup -n %{name}-iio-%{version}


%build
%cmake
%cmake_build


%install
%cmake_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
install -d $RPM_BUILD_ROOT/%{_docdir}/%{name}
mv $RPM_BUILD_ROOT/%{_docdir}/ad93610-doc/html $RPM_BUILD_ROOT/%{_docdir}/%{name}/


%{?ldconfig_scriptlets}


%files
%license LICENSE
%doc README.md
%{_libdir}/*.so.*

%files devel
%{_includedir}/ad9361.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/libad9361.pc

%files doc
%{_docdir}/%{name}/html


%changelog
* Tue Mar 05 2024 Thomas Sailer <fedora@tsailer.ch> - 0.3-1
- Update to 0.3

* Sat Nov 26 2022 Thomas Sailer <fedora@tsailer.ch> - 0.2-1
- Initial spec file
